summaryrefslogtreecommitdiffstats
path: root/slackware64/l/maketag
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64/l/maketag')
-rw-r--r--slackware64/l/maketag206
1 files changed, 206 insertions, 0 deletions
diff --git a/slackware64/l/maketag b/slackware64/l/maketag
new file mode 100644
index 000000000..d9a7c0095
--- /dev/null
+++ b/slackware64/l/maketag
@@ -0,0 +1,206 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES L (Libraries)" \
+ --checklist "Please confirm the packages you wish to install \
+from series L. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Keep in mind that many of these libraries are required by KDE \
+or other parts of the system. It's safest to install all of these \
+packages even if you aren't sure if you need them. Press ENTER when \
+you are done." 22 74 10 \
+"M2Crypto" "Cryptography toolkit for Python" "on" \
+"PyQt" "Python bindings for Qt" "on" \
+"QScintilla" "Qt port of the Scintilla C++ editor control" "on" \
+"aalib" "ASCII Art library" "on" \
+"akonadi" "PIM storage service" "on" \
+"alsa-lib" "ALSA sound library" "on" \
+"alsa-oss" "OSS compatibility wrapper for ALSA" "on" \
+"apr" "Apache Portable Runtime library" "on" \
+"apr-util" "Extra APR library interfaces" "on" \
+"aspell" "Spell checking library" "on" \
+"aspell-en" "English word list for Aspell" "on" \
+"atk" "Accessability library" "on" \
+"audiofile" "SGI's Audio File sound library" "on" \
+"automoc4" "Automatic moc for Qt4" "on" \
+"babl" "A pixel format translation library" "on" \
+"boost" "Boost C++ Libraries" "on" \
+"cairo" "Vector graphics library used by GTK+" "on" \
+"chmlib" "Library for accessing CHM files" "on" \
+"clucene" "Text-Search Engine" "on" \
+"db42" "Berkeley DB library, version 4.2" "on" \
+"db44" "Berkeley DB library, version 4.4" "on" \
+"dbus-glib" "glib bindings for the dbus IPC library" "on" \
+"dbus-python" "Python bindings for the D-Bus library" "on" \
+"desktop-file-utils" "Tools for .desktop files" "on" \
+"djvulibre" "Web-centric document and image format" "on" \
+"eigen2" "C++ math library" "on" \
+"enchant" "A wrapper for spellcheck libraries" "on" \
+"esound" "Enlightened Sound Daemon" "on" \
+"exiv2" "Exif and IPTC Metadata Library and Tools" "on" \
+"expat" "XML parser library" "on" \
+"freetype" "Font rendering library" "on" \
+"fribidi" "Unicode BiDirectional library" "on" \
+"fuse" "Tools for using filesystems in userspace" "on" \
+"gamin" "a minimalist FAM replacement" "on" \
+"gd" "A graphics library" "on" \
+"gdbm" "The GNU gdbm database library" "on" \
+"gegl" "Generic Graphics Library" "on" \
+"glib" "Support library used by GTK+" "on" \
+"glib2" "GLib version 2" "on" \
+"glibc" "The GNU C library" "on" \
+"glibc-i18n" "Internationalization support for glibc" "on" \
+"glibc-profile" "Profiling support for glibc" "on" \
+"gmime" "MIME parsing library" "on" \
+"gmm" "C++ generic matrix template library" "on" \
+"gmp" "A library for arithmetic" "on" \
+"gnome-icon-theme" "Icons for GTK+ applications" "on" \
+"gst-plugins-base" "A base set of GStreamer plugins" "on" \
+"gstreamer" "Streaming multimedia framework library" "on" \
+"gtk+" "A graphical toolkit library" "on" \
+"gtk+2" "GTK+ version 2" "on" \
+"gtkspell" "GTK+ spell checker interface library" "on" \
+"hal" "The HAL Hardware Abstraction Layer" "on" \
+"hal-info" "Hardware device info for HAL" "on" \
+"hicolor-icon-theme" "Standard icon theme tree" "on" \
+"icon-naming-utils" "Icon naming utilities" "on" \
+"ilmbase" "Industrial Light & Magic base libraries" "on" \
+"imlib" "Image loading and rendering library" "on" \
+"iso-codes" "ISO standard lists" "on" \
+"jasper" "JPEG-2000 library" "on" \
+"jre" "Runtime support for Java(TM)" "on" \
+"lcms" "Little Color Management System" "on" \
+"lesstif" "A Motif clone" "on" \
+"libaio" "Asynchronous I/O library" "on" \
+"libao" "Audio Output library" "on" \
+"libarchive" "Archive reading library" "on" \
+"libart_lgpl" "2D graphics library used by KDE" "on" \
+"libcaca" "Colour AsCii Art library" "on" \
+"libcap" "POSIX capabilities library" "on" \
+"libcddb" "online CD database lookup library" "on" \
+"libcdio" "GNU CD I/O library" "on" \
+"libdvdread" "Library for reading DVDs" "on" \
+"libexif" "EXIF (image information) library" "on" \
+"libglade" "An interface construction library" "on" \
+"libgphoto2" "A library for accessing digital cameras" "on" \
+"libgpod" "A library for a popular music device" "on" \
+"libgsf" "File I/O library" "on" \
+"libgtkhtml" "HTML rendering library" "on" \
+"libical" "iCAL protocol implementation" "on" \
+"libid3tag" "ID3 tag manipulation library" "on" \
+"libidl" "Interface Definition Language library" "on" \
+"libidn" "GNU Internationalized Domain Name library" "on" \
+"libieee1284" "Library to identify parallel port devices" "on" \
+"libjpeg" "JPEG image library and tools" "on" \
+"libkarma" "A library for accessing the Rio Karma player" "on" \
+"libmad" "high-quality MPEG audio library" "on" \
+"libmcrypt" "Mcrypt encryption library" "on" \
+"libmcs" "Manages configuration settings" "on" \
+"libmng" "Multiple-image Network Graphics library" "on" \
+"libmowgli" "A collection of programming routines." "on" \
+"libmsn" "MSN Messenger protocol implementation" "on" \
+"libmtp" "MTP media device support library" "on" \
+"libnjb" "Creative Nomad and related device library" "on" \
+"libnl" "Netlink socket library" "on" \
+"libogg" "Ogg Bitstream library" "on" \
+"liboil" "CPU optimizations library" "on" \
+"libpng" "Portable Network Graphics library" "on" \
+"libraw1394" "User space IEEE 1394 driver" "on" \
+"librsvg" "Scalable Vector Graphics library" "on" \
+"libspectre" "Ghostscript wrapper library" "on" \
+"libtermcap" "GNU terminal control library" "on" \
+"libtheora" "Theora video codec library" "on" \
+"libtiff" "Tag Image File format library" "on" \
+"libungif" "GIF extraction library" "on" \
+"libusb" "A library for accessing USB devices" "on" \
+"libvisual" "Audio visualization library" "on" \
+"libvisual-plugins" "Plugins for the libvisual library" "on" \
+"libvncserver" "VNC Server Library" "on" \
+"libvorbis" "Ogg Vorbis library" "on" \
+"libwmf" "WMF graphics format library" "on" \
+"libwmf-docs" "Documentation for libwmf" "on" \
+"libwnck" "Window Navigator Construction Kit library" "on" \
+"libwpd" "WordPerfect document handling library" "on" \
+"libxklavier" "XKB library" "on" \
+"libxml2" "XML parser library v2" "on" \
+"libxslt" "XML transformation library" "on" \
+"libzip" "Zip archive library" "on" \
+"lzo" "fast data compression library" "on" \
+"mhash" "Thread-safe hash library" "on" \
+"mm" "Shared Memory Allocation library" "on" \
+"mpfr" "Another math lib based on GMP" "on" \
+"ncurses" "CRT screen handling package" "on" \
+"neon" "HTTP and WebDAV client library" "on" \
+"netpbm" "Graphics library and tools" "on" \
+"openexr" "HDR image file format and library" "on" \
+"pango" "Text rendering library" "on" \
+"parted" "GNU parted, a partition manipulation program" "on" \
+"pcre" "Perl-compatible regular expression library" "on" \
+"phonon" "Multimedia framework for KDE4" "on" \
+"pil" "Python Imaging Library" "on" \
+"pilot-link" "PalmOS communication library" "on" \
+"poppler" "Portable Document Format (PDF) library" "on" \
+"poppler-data" "Data files that can be used by poppler" "on" \
+"popt" "Command line parsing library" "on" \
+"pycairo" "Python bindings for cairo" "on" \
+"pycups" "Python bindings for the CUPS API" "on" \
+"pygobject" "GObject bindings for Python" "on" \
+"pygtk" "GTK+ bindings for Python" "on" \
+"pyrex" "A Python extension language" "on" \
+"qca" "Qt Cryptographic Architecture" "on" \
+"qca-cyrus-sasl" "Cyrus SASL plugin for QCA" "on" \
+"qca-gnupg" "GnuPG plugin for QCA" "on" \
+"qca-ossl" "OpenSSL plugin for QCA" "on" \
+"qimageblitz" "Graphical effect/filter library for KDE4" "on" \
+"qt" "C++ GUI library used by KDE" "on" \
+"qtscriptgenerator" "Qt API Bindings for QtScript" "on" \
+"raptor" "RDF parser and serializer" "on" \
+"rasqal" "RDF parsing library" "on" \
+"readline" "Input library with editing" "on" \
+"redland" "RDF high-level interface library" "on" \
+"sdl" "Simple DirectMedia Layer library" "on" \
+"seamonkey-solibs" "SeaMonkey shared libraries (runtime subset)" "on" \
+"shared-mime-info" "MIME database" "on" \
+"sip" "Tool for generating Python bindings" "on" \
+"slang" "S-Lang interpreted language and library v2" "on" \
+"slang1" "S-Lang interpreted language and library v1" "on" \
+"soprano" "C++/Qt4 framework for RDF data" "on" \
+"startup-notification" "Busy cursor library" "on" \
+"strigi" "Fast and light desktop search engine" "on" \
+"svgalib" "Super-VGA Graphics Library" "on" \
+"t1lib" "Library for handling Type 1 fonts" "on" \
+"taglib" "Audio meta-data library" "on" \
+"taglib-extras" "Taglib extra formats support" "on" \
+"tango-icon-theme" "Tango icon theme" "on" \
+"tango-icon-theme-extras" "Extra icons for the Tango icon theme" "on" \
+"urwid" "Python console UI module" "on" \
+"vte" "A terminal emulator for GTK+" "on" \
+"wavpack" "A lossless WAV file compressor" "on" \
+"wv2" "MS Word .doc import library" "on" \
+"zlib" "general purpose data compression library" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+M2Crypto PyQt QScintilla aalib akonadi alsa-lib alsa-oss apr apr-util aspell aspell-en atk audiofile automoc4 babl boost cairo chmlib clucene db42 db44 dbus-glib dbus-python desktop-file-utils djvulibre eigen2 enchant esound exiv2 expat freetype fribidi fuse gamin gd gdbm gegl glib glib2 glibc glibc-i18n glibc-profile gmime gmm gmp gnome-icon-theme gst-plugins-base gstreamer gtk+ gtk+2 gtkspell hal hal-info hicolor-icon-theme icon-naming-utils ilmbase imlib iso-codes jasper jre lcms lesstif libaio libao libarchive libart_lgpl libcaca libcap libcddb libcdio libdvdread libexif libglade libgphoto2 libgpod libgsf libgtkhtml libical libid3tag libidl libidn libieee1284 libjpeg libkarma libmad libmcrypt libmcs libmng libmowgli libmsn libmtp libnjb libnl libogg liboil libpng libraw1394 librsvg libspectre libtermcap libtheora libtiff libungif libusb libvisual libvisual-plugins libvncserver libvorbis libwmf libwmf-docs libwnck libwpd libxklavier libxml2 libxslt libzip lzo mhash mm mpfr ncurses neon netpbm openexr pango parted pcre phonon pil pilot-link poppler poppler-data popt pycairo pycups pygobject pygtk pyrex qca qca-cyrus-sasl qca-gnupg qca-ossl qimageblitz qt qtscriptgenerator raptor rasqal readline redland sdl seamonkey-solibs shared-mime-info sip slang slang1 soprano startup-notification strigi svgalib t1lib taglib taglib-extras tango-icon-theme tango-icon-theme-extras urwid vte wavpack wv2 zlib \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+M2Crypto PyQt QScintilla aalib akonadi alsa-lib alsa-oss apr apr-util aspell aspell-en atk audiofile automoc4 babl boost cairo chmlib clucene db42 db44 dbus-glib dbus-python desktop-file-utils djvulibre eigen2 enchant esound exiv2 expat freetype fribidi fuse gamin gd gdbm gegl glib glib2 glibc glibc-i18n glibc-profile gmime gmm gmp gnome-icon-theme gst-plugins-base gstreamer gtk+ gtk+2 gtkspell hal hal-info hicolor-icon-theme icon-naming-utils ilmbase imlib iso-codes jasper jre lcms lesstif libaio libao libarchive libart_lgpl libcaca libcap libcddb libcdio libdvdread libexif libglade libgphoto2 libgpod libgsf libgtkhtml libical libid3tag libidl libidn libieee1284 libjpeg libkarma libmad libmcrypt libmcs libmng libmowgli libmsn libmtp libnjb libnl libogg liboil libpng libraw1394 librsvg libspectre libtermcap libtheora libtiff libungif libusb libvisual libvisual-plugins libvncserver libvorbis libwmf libwmf-docs libwnck libwpd libxklavier libxml2 libxslt libzip lzo mhash mm mpfr ncurses neon netpbm openexr pango parted pcre phonon pil pilot-link poppler poppler-data popt pycairo pycups pygobject pygtk pyrex qca qca-cyrus-sasl qca-gnupg qca-ossl qimageblitz qt qtscriptgenerator raptor rasqal readline redland sdl seamonkey-solibs shared-mime-info sip slang slang1 soprano startup-notification strigi svgalib t1lib taglib taglib-extras tango-icon-theme tango-icon-theme-extras urwid vte wavpack wv2 zlib \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs